Solvedkotlin native Platform Libraries are missing on 1.3.60

Updated to 1.3.60 and used the target shortcuts for ios and now the platform libraries are missing. I'm using NSUserDefaults, dispatch_async, and dispatch_get_main_queue. I can't import them but it's building normally.

17 Answers

✔️Accepted Answer

I have this workaround in my build.gradle:

// You may uncomment this line for autocompletion to work on Android Studio
//iosX64('ios') // DO NOT COMMIT THIS UNCOMMENTED LINE

Uncommenting that line makes autocompletion work, and the extreme warning comments are enough to keep that hack at bay. If I understand correctly what's going on, iosX64('ios') replaces the intermediate ios stuff with a normal iosX64 target that the IDE understands.

It's horrible and manual, but its enough for my 2 person team while we wait for this to be properly fixed.

Related Issues:

14
kotlin native Output files without the .kexe extension
however it seems to be nice feature to have Why? It's not even a real extension and even if it was i...
5
kotlin native Platform Libraries are missing on 1.3.60
I have this workaround in my build.gradle: Uncommenting that line makes autocompletion work ...
320
Pillow ImportError: cannot import name 'PILLOW_VERSION' from 'PIL' (unknown location)
I'm getting the same error right now after conda install pillow on Win 10 It installed pillow 6.2.1 ...
227
neovim build fails with OSX Mojave
Starting with Mojave the headers are no longer installed under /usr/include/ by default -- look unde...
189
Pillow zlib requirement on Alpine Linux
@wiredfool Thanks I was having the same problem building a docker image hey ...
167
vim Error message printed first time python3 (version 3.7.0) dynamic library is imported
Regardless of installed plugins silently execute python3 once on the top of your vimrc: ...
122
Pillow cannot write mode RGBA as JPEG (4.2.0)
@AymericHENRY Hi While this is just reiterating what has already been said you should have no proble...
105
Pillow Can't install Pillow on Android
It does the trick: $ pkg install python libjpeg-turbo libcrypt ndk-sysroot clang zlib $ LDFLAGS=-L${...
90
neovim Build failed with Homebrew on both macOS 11.4 and 12.0.1
This should be fixed in Homebrew for now Neovim version (nvim -v) Upgrading neovim HEAD-487286b -> H...
77
arrayfire NVCC does not support Apple Clang version 8.x
@joseph-zhong it looks like you're using Xcode 8.3 which CUDA (v8.0.61) does not yet support :( Down...
69
Win32 OpenSSH Can't add keys to ssh-agent, communication with agent failed
That check in ssh-agent can be removed as sshd now runs as SYSTEM We'll fix it As a workaround to un...
56
xrdp Problem on debian - black screen
Hi I ran into the same issue on Debian testing and opened a bug on the Debian bug tracking system (D...
55
neovim Update tree-sitter to v0.19.0
Workaround for homebrew users: Uninstall tree-sitter@0.19.1 ignoring neovim dependency Extract the f...
54
systemd systemd can't handle the process previlege that belongs to user name startswith number, such as 0day
Let's look if it's actually invalid.. Submission type Bug report systemd version the issue has been ...
52
vim E363: pattern uses more memory than 'maxmempattern'
Vim 7.4 is getting a little long in the teeth The current state-of-the art Vim is 8.0.1097 as of thi...
50
borg document pull-like operation
While having documentation for this workaround is great wouldn't it be better to add this functional...
48
systemd systemctl - Useless error message - "Failed to enable unit: Invalid Argument"
In the mean time I came across a new-to-me command for possibly resolving invalid argument errors: s...
45
scrcpy adb server version (41) doesn't match this client (40)
fixed this by doing the following: going into GenyMotion settings -> ADB tab instead of Use Genymoti...
41
Pillow Unable to install on macOS Big Sur (zlib missing)
Run export SYSTEM_VERSION_COMPAT=1 before all other scripts They say Big Sur is both 10.16 and 11.0 ...
41
vim netrw's "gx" functionality doesn't open URLs anymore in macOS
I found yet another issue with netrw not opening URLs with @ and I decided enough is enough I starte...
40
vim Can't get transparent background with termguicolors enabled
At this moment this issue is solely about: Since to me the fact of being able to get transparent bac...
39
vcpkg Remove multiple packages at once (wildcards)
How about allowing syntax .\vcpkg.exe remove *:x86-windows to remove the entire x86-windows triplet?...
38
scrcpy not working with OS Catalina
I managed to fix this: cd /usr/local/Caskroom/android-platform-tools/29.0.5/platform-tools && open ....
38
neovim homebrew build fails to start (segfault in libtermkey 0.21)
EDITOR=/usr/bin/vim brew edit libtermkey edit the URL to libtermkey-0.20.tar.gz and the hash to 6c0d...
34
neovim Feature: optional floating window borders
This works for me Not sure why but it does. #6619 Added floating windows but no way to create a bord...
34
systemd "Restart" and/or "RestartForceExitStatus" should work with oneshot services, too
oneshot services managing their own restart policy (in a bash retry loop or similar) is similar to s...
31
kitty Error opening terminal: xterm-kitty
From stackoverflow: export TERM=xterm And it works. Any ideas how to fix this? This is a brand new M...
29
vim Right click enables visual mode by default
This is by design See :help defaults.vim for detail This happens if you don't have .vimrc ...
26
vim Editing a Groovy file causes Vim to throw an error - E945: Range too large in character class
At first I could not reproduce it either Describe the bug When I edit a Groovy file Vim throws an er...
25
neovim Failed to load python host
@brycearden I had that same issue as yours later I found out that pip and pip3 were both aliased to ...
25
Pillow The headers or library files could not be found for zlib, a required dependency when compiling Pillow from source
I figured it was my pip version that was behind I close the issue as upgrade the pip version fixed i...
25
vifm How to use bat as a fileviewer
Make sure that your truecolor terminal sets the COLORTERM variable to either truecolor or 24bit Othe...
24
libvips Install via package managers on Linux?
Amazon Linux 2 seems to be based on RHEL/CentOS 7[1] so I assume you could use Remi's RPM repository...
23
fluent bit Errors when forwarding to ElasticSearch
@edsiper I've got the same problem also related to es_rejected_execution_exception but: It should st...
23
systemd Access mounted (ip netns ...) network namespaces.
FWIW I came up with a simpler minimalistic version of @CrackerJackMack's solution above: Then ...
22
allegro5 Android build fails due to deprecated 'android' command
I have searched and found no replacement for the android update project command ...
22
neovim Pip already installed neovim but module not found
Try pip uninstalling both neovim and pynvim and then reinstalling just pynvim -- that worked for me ...
22
xrdp VNC Problem connecting
[SOLVED] I got the same error in CentOS 7.5 with Xfce desktop I had struggled for several days with ...
21
awesome Intellij dialog windows close immediately
Same problems with PyCharm 2018.1 and Idea 2018.1 Popups are problematic As @p-himik in #2233 said c...
21
Pillow Unable to install Pillow on the Macbook Pro 13 M1 Silicon
If it helps anyone on Apple Silicon brew install libjpeg pip install Pillow works ! ...
20
neovim cannot copy unicode characters
I had a similar problem: when copying texts letters with accents were swapped by other characters (e...
20
radare2 Unable Detect Clang Compiler in MacOS
@SajjadPourali and @ZhangZhuoSJTU are you using binutils from brew (Check with brew list | grep binu...
19
fluent bit Duplicate @timestamp fields in elasticsearch output
@edsiper I would reopen this I have this config: and keep getting error like this one: ...
19
lxc Unable to mount squashfs inside unprivileged container (mount failed: Unknown error -1)
For anyone who may be interested in installing Nextcloud via Snap in a Proxmox LXC container the fol...
19
neovim E886: System error while opening ShaDa file for writing: no such file or directory
I got this error on elementaryOS 5.1 Neovim v0.2.2 nvim --version: v0.4.0-609 Vim (version: ) behave...
18
conan "Please log in to "conan-center" to perform this action." for several packages
Conan 1.18.5 has been released limiting urllib3 < 1.25.4 To help us debug your issue please explain:...
17
mpv Better scaletempo (on high speed x1.5-x3)
@TiGR @wiiaboo I've fine tuned the settings a bit and this is what I got I've been watching some tal...
17
vim [discuss] Popup Window API design.
I have added a detailed design in patch 8.1.1329 Feel free to comment. This is not an issue but I ha...
16
goaccess Support structured log formats such as JSON
Native JSON support has been added Feel free to build from development to test this out It will be p...
16
neovim snap package
Snaps have a few features that I don't think you'd get from appimage The neovim developers should co...